# Site wide configuration

title: "OfiLibre URJC"
description: "Oficina de Conocimiento y Cultura Libres. Universidad Rey Juan Carlos."
logo: logo-ofilibre.png # 120x120 px default image used for Twitter summary card
teaser: Logotipo_Grande.png # 400x250 px default teaser image used in image archive grid
locale: es
#url: https://ofilibre.gitlab.io
#url: http://localhost:4000
url: ""
feed:
  path: atom.xml

# Jekyll configuration

sass:
  sass_dir: _sass
  style: compressed
permalink: /:categories/:title/
kramdown:
  toc_levels: 1..2
highlighter: rouge
gems:
  - jekyll-sitemap
  - jekyll-gist
  - jekyll-feed
  - jekyll-optional-front-matter
  - jekyll-default-layout
  - jekyll-titles-from-headings

# Site owner
owner:
  name: OfiLibre - URJC
  email: ofilibre@urjc.es
  twitter: OfiLibreURJC
#  google:
#    ad-client:
#    ad-slot:
  bio:
  avatar: bio-photo.jpg # 160x160 px image for author byline
#  disqus-shortname:

#defaults:
#  -
#    scope:
#      path: "guias/"
#    values:
#      layout: article
#      permalink: /:path/:title

collections:
  fichas:
    output: true
    permalink: /:collection/:name
  guias:
    output: true
    permalink: /:collection/:name
    logo: "book.png"
  pres:
    output: true
    permalink: /:collection/:name
    logo: "book.png"

defaults:
  - scope:
      path: ""
      type: "guias"
    values:
      layout: "guia"
  - scope:
      path: ""
      type: "fichas"
    values:
      layout: "ficha"
  - scope:
      path: ""
      type: "pres"
    values:
      layout: "pres"

include:
  - .htaccess
exclude:
  - "*.less"
  - "*.sublime-project"
  - "*.sublime-workspace"
  - .asset-cache
  - .bundle
  - .jekyll-assets-cache
  - .sass-cache
  - CHANGELOG
  - Capfile
  - Gemfile
  - Gruntfile.js
  - LICENSE
  - README
  - Rakefile
  - config
  - gulpfile.js
  - lib
  - log
  - node_modules
  - package.json
  - spec
  - tmp

optional_front_matter:
  enabled: true
#  remove_originals: true